// This file is part of help.eyeo.com.
// Copyright (C) 2017 Eyeo GmbH
//
// help.eyeo.com is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// help.eyeo.com is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with help.eyeo.com.  If not, see <http://www.gnu.org/licenses/>.

/*******************************************************************************
 * Typography
 ******************************************************************************/

.h1
{
  font-size: $font-size-h3;
  line-height: 1.2;

  @media (min-width: $phablet-breakpoint)
  {
    font-size: $font-size-h2;
  }

  @media (min-width: $tablet-breakpoint)
  {
    font-size: $font-size-h1;
  }
}

.h2
{
  font-size: $font-size-h3;
  
  @media (min-width: $phablet-breakpoint)
  {
    font-size: $font-size-h2;
  }
}

.h4
{
  font-size: $font-size-h4;
  font-weight: $bold-weight;
  text-transform: uppercase;
}

dt
{ 
  @extend h4; 
}

dd 
{
  @extend p;
}

a,
a:visited
{
  color: $font-color-link;
}

.button-link
{
  @extend a;
}

.product-heading
{
  @extend .h1;
  @extend .text-center;
  margin-bottom: $small-space;

  .has-pre-icon
  {
    display: inline-block;
  }

  @media (max-width: $phablet-breakpoint) {
    font-size: 1.4rem;
  }
}

.article-heading
{
  @extend .h2;
}
